import { Component } from '@angular/core';
import { FormsModule } from '@angular/forms';

@Component({
  selector: 'app-root',
  standalone: true,
  imports: [FormsModule],
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent {
  // jos muuttujissa ei ole suojausmäärettä, ne ovat public
  greeting = 'Hello'; // muuttuja on 1-way-bindattu input kentän HTML-attribuuttiin
  greeting2 = 'Howdy'; // muuttuja on 2-way bindattu input -kentän DOM-propertyyn ja 1-way-bindattu HTML-attribuuttiin

  // templaatin input-event (input) on sidottu tähän metodiin
  onInputEvent(event: Event): void {
    const inputElement: HTMLInputElement = <HTMLInputElement>event.target;

    console.log('The input DOM-property value is ' + inputElement.value);
    console.log('The input HTML-attribute value is ' + inputElement.getAttribute('value'));
    console.log('The greeting variable value is ' + this.greeting);
    console.log('The greeting2 variable value is ' + this.greeting2);
  }
}
